Bug 1663149 - [4.1] Recycler refuses to recycle PVs when a pod has a different PV using the same PVC
Summary: [4.1] Recycler refuses to recycle PVs when a pod has a different PV using the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: Tomas Smetana
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks: 1663147
TreeView+ depends on / blocked
 
Reported: 2019-01-03 10:11 UTC by Tomas Smetana
Modified: 2019-06-04 10:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1663147
Environment:
Last Closed: 2019-06-04 10:41:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:36 UTC

Comment 5 Wenqi He 2019-04-15 10:16:37 UTC
The function of recycler is working:
But I found it use an upstream image of recycler

$ oc describe pv nfs
Name:            nfs
Labels:          <none>
Annotations:     pv.kubernetes.io/bound-by-controller: yes
Finalizers:      [kubernetes.io/pv-protection]
StorageClass:    
Status:          Bound
Claim:           nfs/nfsc
Reclaim Policy:  Recycle
Access Modes:    RWX
VolumeMode:      Filesystem
Capacity:        1Gi
Node Affinity:   <none>
Message:         
Source:
    Type:      NFS (an NFS mount that lasts the lifetime of a pod)
    Server:    172.30.122.248
    Path:      /
    ReadOnly:  false
Events:
  Type    Reason          Age   From                         Message
  ----    ------          ----  ----                         -------
  Normal  RecyclerPod     55s   persistentvolume-controller  Recycler pod: Successfully assigned default/recycler-for-nfs to compute-0
  Normal  RecyclerPod     47s   persistentvolume-controller  Recycler pod: Pulling image "busybox:1.27"
  Normal  RecyclerPod     41s   persistentvolume-controller  Recycler pod: Successfully pulled image "busybox:1.27"
  Normal  RecyclerPod     41s   persistentvolume-controller  Recycler pod: Created container pv-recycler
  Normal  RecyclerPod     41s   persistentvolume-controller  Recycler pod: Started container pv-recycler
  Normal  VolumeRecycled  41s   persistentvolume-controller  Volume recycled

Should I open a new bug or it will be tacked on this one? Or we should say it is fixed?

Comment 6 Tomas Smetana 2019-04-15 12:33:19 UTC
Please open a new bug -- the wrong recycler image needs to be fixed in a different place (if at all). This bug is about something else.

Comment 7 Wenqi He 2019-04-16 02:00:00 UTC
Thanks, Tomas! Verified based on comment#5

Comment 9 errata-xmlrpc 2019-06-04 10:41:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.